List API keys for an organization
curl --request POST \
--url https://api.arklow.io/v1/orgs/{org_id}/keys/list \
--header 'Content-Type: application/json' \
--header 'x-arklow-auth: <api-key>' \
--data '
{
"take": 10,
"skip": 1,
"search": {
"col": "<string>",
"op": "eq",
"value": "<string>"
},
"field": "<string>",
"value": "<string>",
"op": "eq",
"count_only": true
}
'import requests
url = "https://api.arklow.io/v1/orgs/{org_id}/keys/list"
payload = {
"take": 10,
"skip": 1,
"search": {
"col": "<string>",
"op": "eq",
"value": "<string>"
},
"field": "<string>",
"value": "<string>",
"op": "eq",
"count_only": True
}
headers = {
"x-arklow-auth": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-arklow-auth': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
take: 10,
skip: 1,
search: {col: '<string>', op: 'eq', value: '<string>'},
field: '<string>',
value: '<string>',
op: 'eq',
count_only: true
})
};
fetch('https://api.arklow.io/v1/orgs/{org_id}/keys/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"items": [
{
"id": "<string>",
"org_id": "<string>",
"member_id": "<string>",
"deleted_at": "2023-11-07T05:31:56Z",
"user_id": "<string>",
"description": "<string>",
"membership": {
"user_id": "<string>",
"permissions": [
"<string>"
]
}
}
],
"count": 123
},
"errors": [
{
"code": "<string>",
"message": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"message": "<string>"
}
]
}List API keys for an organization
List API keys for an organization.
POST
/
v1
/
orgs
/
{org_id}
/
keys
/
list
List API keys for an organization
Authorizations
Path Parameters
Organization identifier
Pattern:
^[0-9]+$Body
application/json
Number of records to fetch
Required range:
1 <= x <= 20Number of records to skip
Required range:
x >= 0Show child attributes
Show child attributes
op
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>Option 5 · enum<string>Option 6 · enum<string>Option 7 · enum<string>
Available options:
eq